﻿using System;
using PlatformBaseClasses.Collection_Examples.Examples;

namespace PlatformBaseClasses.Collection_Examples
{
  public class CollectionExamples
  {
    public static void RunExamples()
    {
      Console.WriteLine("\r\n\r\n--- Collection Examples ---");

      // Example 1 - DoBasicCollectionOperations
      var basicCollectionOperations = new BasicCollectionOperations();
      basicCollectionOperations.RunExamples();
      Console.ReadKey();

      // Example 2 - ArrayList, List<T>, IEnumerable, IEnumerable<T> 
      var listEnumeration = new ListEnumeration();
      listEnumeration.RunExamples();
      Console.ReadKey();

      // Example 3 - Enumerator manipulation
      var usingEnumerator = new UsingEnumerator();
      usingEnumerator.RunExample();
      Console.ReadKey();

      // Example 4 - Implementation of custom enumeration 
      var customEnumerator = new CustomEnumerator();
      customEnumerator.RunExample();
      Console.ReadKey();

      // Example 5 - IObservableCollectionSample
      var observableCollectionSample = new ObservableCollectionSample();
      observableCollectionSample.RunExample();
      Console.ReadKey();
    }
  }
}