﻿using System;
using System.Collections.Generic;

namespace PlatformBaseClasses.Collection_Examples.Examples
{
  public class BasicCollectionOperations
  {
    public void RunExamples()
    {
      Console.WriteLine("Basic list operations");
      var list = new List<string>();
      Console.WriteLine(" String list created");
      list.Add("Hello");
      list.Add("World");
      Console.WriteLine(" First item added is " + list[0]);
      list.Insert(0, "Elephant");
      Console.WriteLine(" Item inserted as first " + list[0]);
      list.Remove("Elephant");
      Console.WriteLine(" Does list contain Elephant? " + list.Contains("Elephant"));
      Console.ReadKey();

      var czechColorNames = new Dictionary<ConsoleColor, string>();
      czechColorNames.Add(ConsoleColor.Blue, "MODRA");
      czechColorNames.Add(ConsoleColor.Red, "CERVENA");
      Console.ForegroundColor = ConsoleColor.Blue;
      Console.Write("\r\nCurrent console color in czech is \"{0}\"\r\n ", czechColorNames[Console.ForegroundColor]);
      Console.ResetColor();

      Console.WriteLine("Do we have translation for Green color? : " + czechColorNames.ContainsKey(ConsoleColor.Green));

      string translation = null;
      if (czechColorNames.TryGetValue(ConsoleColor.Red, out translation))
      {
        Console.WriteLine("Translation for red is " + translation);
      }
    }
  }
}