﻿using System;
using System.Collections;
using System.Collections.Generic;

namespace PlatformBaseClasses.Collection_Examples.Examples
{
  public class ListEnumeration
  {
    public void RunExamples()
    {
      Console.Write("\r\nEnumerating non-generic collection\r\n  ");
      // Arraylist creation using so-called collection initializer
      IEnumerable objects = new ArrayList() { "string", 15, DateTime.Now };
      foreach (object obj in objects)
      {
        Console.Write(obj.ToString() + ",  ");
      }

      Console.Write("\r\n\r\nEnumerating string list\r\n  ");
      IEnumerable<string> strings = new List<string> { "AAA", "BBB", "CCC" };
      foreach (string str in strings)
      {
        Console.Write(str + ", ");
      }
      Console.WriteLine();
    }
  }
}
