﻿using System;

namespace PlatformBaseClasses.Memory_Management_Examples.Examples
{
  public class GarbageCollectionExample
  {
    public void RunGarbageCollectionExample()
    {
      Console.WriteLine();
      Console.WriteLine("Press any key to allocate memory!");
      Console.ReadKey();
      AllocateMemory();
      GC.Collect();
      Console.WriteLine(" Memory collected!");
    }

    private void AllocateMemory()
    {
      // Memory is going to be release when execution 
      // leaves the scope of method
      var wastedMemory = new string('X', 100000000);
      Console.WriteLine(" Memory allocated");
      Console.ReadKey();
    }
  }
}
