﻿using System;
using System.Collections.Generic;

namespace PlatformBaseClasses.Collection_Examples.Examples
{
  public class UsingEnumerator
  {
    public void RunExample()
    {
      Console.WriteLine("\r\nManipulating enumerator: ");
      var strings = new List<string>() { "Hello", "World!" };
      using (IEnumerator<string> enumerator = strings.GetEnumerator())
      {
        enumerator.MoveNext();
        Console.WriteLine(" First enumerated item : " + enumerator.Current);
        Console.WriteLine(" Moving to next. Result: {0}", enumerator.MoveNext());
        Console.WriteLine(" Second enumerated item : " + enumerator.Current);
        enumerator.Reset();
        enumerator.MoveNext();
        Console.WriteLine(" First enumerated item again : " + enumerator.Current);
      }
    }
  }
}