﻿using System;
using PlatformBaseClasses.Disposable_Examples.Examples;

namespace PlatformBaseClasses.Disposable_Examples
{
  public class DisposableExamples
  {
    public static void RunExamples()
    {
      Console.WriteLine(Environment.NewLine + "--- IDisposable Examples ---");

      // Example 1 - Explicit call of dispose
      var callingDisposableFromUsingBlock = new CallingDisposeFromUsingBlock();
      callingDisposableFromUsingBlock.RunExample();
      Console.ReadKey();

      // Example 2 - Calling of dispose from finalization
      var callingDisposableFromFinalization = new CallingDisposeFromFinalization();
      callingDisposableFromFinalization.RunExample();
      Console.ReadKey();
    }
  }
}