﻿using System;

namespace PlatformBaseClasses.Memory_Management_Examples.Examples
{
  class FinalizerExample
  {
    public void RunFinalizerExample()
    {
      Console.WriteLine();
      var instance = new ClassWithFinalizer();
      Console.WriteLine("Class with finalizer created");
      Console.ReadKey();
      Console.WriteLine(" Instance dereferenced");
      instance = null;
      GC.Collect();
    }

    internal class ClassWithFinalizer
    {
      ~ClassWithFinalizer()
      {
        // Cleanup code
        Console.WriteLine("  The instance is being finalized");
      }
    }
  }
}
