﻿using System;
using PlatformBaseClasses.Memory_Management_Examples.Examples;

namespace PlatformBaseClasses.Memory_Management_Examples
{
  public class MemoryManagementExamples
  {
    public MemoryManagementExamples()
    {
      Console.WriteLine("--- MemoryManagement Examples ---");
    }

    public static void RunExamples()
    {
      Console.WriteLine(Environment.NewLine + "--- IDisposable Examples ---");

      // Example 1 - Automated garbage collection
      var garbageCollectionsExamples = new GarbageCollectionExample();
      garbageCollectionsExamples.RunGarbageCollectionExample();
      Console.ReadKey();

      // Example 2 - Finalizer execution
      var finalizerExamples = new FinalizerExample();
      finalizerExamples.RunFinalizerExample();
      Console.ReadKey();
    }
  }
}