﻿using System;

namespace PlatformBaseClasses.Stream_Examples
{
  class StreamExamples
  {
    public static void RunExamples()
    {
      var fileStreamExample = new FileStreamExample();

      // Example 1 - FileStream example
      fileStreamExample.RunExample();
      Console.ReadKey();

      // Example 2 - async FileStream example
      fileStreamExample.RunExampleAsync();
      Console.ReadKey();

      // Example 3 - compression stream
      var compressionStream = new CompressionStreamExample();
      compressionStream.RunExample();
      Console.ReadKey();

      // Example 4 - ZIP file
      var zipExample = new ZipExample();
      zipExample.RunExample();
      Console.ReadKey();

      // Example 5 - DirectoryInfo
      var directoryInfoExample = new DirectoryInfoExample();
      directoryInfoExample.RunExample();
      Console.ReadKey();
    }
  }
}